Package com.emc.d2fs.services.creation_service

# Class GetUIMaxSizeResponse

java.lang.Object
com.emc.d2fs.services.creation_service.GetUIMaxSizeResponse

All Implemented Interfaces:
  `Serializable`

public class GetUIMaxSizeResponse extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="width" type="{http://www.w3.org/2001/XMLSchema}int" default="0" />
           <attribute name="height" type="{http://www.w3.org/2001/XMLSchema}int" default="0" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetUIMaxSizeResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getHeight()`
  Gets the value of the height property.
  `int`
  `getWidth()`
  Gets the value of the width property.
  `void`
  `setHeight(Integer value)`
  Sets the value of the height property.
  `void`
  `setWidth(Integer value)`
  Sets the value of the width property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetUIMaxSizeResponse

    public GetUIMaxSizeResponse()

- ## Method Details

  - ### getWidth

    public int getWidth()
    Gets the value of the width property.
    Returns:
      possible object is `Integer`

  - ### setWidth

    public void setWidth(Integer value)
    Sets the value of the width property.
    Parameters:
      `value` - allowed object is `Integer`

  - ### getHeight

    public int getHeight()
    Gets the value of the height property.
    Returns:
      possible object is `Integer`

  - ### setHeight

    public void setHeight(Integer value)
    Sets the value of the height property.
    Parameters:
      `value` - allowed object is `Integer`